## ergochat 2.15.0+ds1

=== Makefile ===
.PHONY: all install build release capdefs test smoke gofmt irctest

GIT_COMMIT := $(shell git rev-parse HEAD 2> /dev/null)
GIT_TAG := $(shell git tag --points-at HEAD 2> /dev/null | head -n 1)

# disable linking against native libc / libpthread by default;
# this can be overridden by passing CGO_ENABLED=1 to make
export CGO_ENABLED ?= 0

capdef_file = ./irc/caps/defs.go

all: build

install:
	go install -v -ldflags "-X main.commit=$(GIT_COMMIT) -X main.version=$(GIT_TAG)"

build:
	go build -v -ldflags "-X main.commit=$(GIT_COMMIT) -X main.version=$(GIT_TAG)"

release:
	goreleaser --skip=publish --clean

capdefs:
	python3 ./gencapdefs.py > ${capdef_file}

test:
	python3 ./gencapdefs.py | diff - ${capdef_file}
	go test ./...
	go vet ./...
	./.check-gofmt.sh

smoke: install
	ergo mkcerts --conf ./default.yaml || true
	ergo run --conf ./default.yaml --smoke

gofmt:
	./.check-gofmt.sh --fix

irctest: install
	git submodule update --init
	cd irctest && make ergo

=== vendor/github.com/ergochat/webpush-go/v2/Makefile ===
.PHONY: test

test:
	go test .
	go vet .
	./.check-gofmt.sh

=== debian/changelog ===
ergochat (2.15.0+ds1-4) unstable; urgency=medium

  * d/copyright: add missing attributions. Thanks to Thorsten Alteholz

 -- Martina Ferrari <tina@debian.org>  Fri, 14 Feb 2025 05:13:15 +0000

ergochat (2.15.0+ds1-3) unstable; urgency=medium

  * d/postinst: prevent leaking secrets in config file
  * d/ircd.yaml: add LDAP auth example
  * d/control: suggest ergochat-ldap plugin

 -- Martina Ferrari <tina@debian.org>  Thu, 13 Feb 2025 16:26:49 +0000

ergochat (2.15.0+ds1-2) unstable; urgency=medium

  * d/rules: adjust binary name

 -- Martina Ferrari <tina@debian.org>  Thu, 13 Feb 2025 15:54:42 +0000

ergochat (2.15.0+ds1-1) unstable; urgency=medium

  * Initial release (Closes: 1095850)

 -- Martina Ferrari <tina@debian.org>  Wed, 12 Feb 2025 21:07:18 +0000

=== debian/control ===
Source: ergochat
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martina Ferrari <tina@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-code.cloudfoundry-bytefmt-dev,
 golang-github-docopt-docopt-go-dev,
 golang-github-go-sql-driver-mysql-dev,
 golang-github-gofrs-flock-dev,
 golang-github-golang-jwt-jwt-v5-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-okzk-sdnotify-dev,
 golang-github-tidwall-buntdb-dev,
 golang-github-toorop-go-dkim-dev,
 golang-github-xdg-go-scram-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
 golang-gopkg-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/ergochat
Vcs-Git: https://salsa.debian.org/go-team/packages/ergochat.git
Homepage: https://github.com/ergochat/ergo
XS-Go-Import-Path: github.com/ergochat/ergo

Package: ergochat
Section: net
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ergochat-ldap,
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: Modern IRC server (daemon/ircd) written in Go
 Ergo (formerly known as Oragono) is a modern IRC server written in Go.
 Its core design principles are:
 .
  * Being simple to set up and use
  * Combining the features of an ircd, a services framework, and a
    bouncer (integrated account management, history storage, and bouncer
    functionality)
  * Bleeding-edge IRCv3 support (https://ircv3.net/software/servers.html),
    suitable for use as an IRCv3 reference implementation
  * High customizability via a rehashable (i.e., reloadable at runtime)
    YAML config

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_INSTALL_EXTRA := \
    default.yaml

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/ergo _build/bin/ergochat

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/ergochat/ergo/tags .*/v?(\d\S*)\.tar\.gz debian
